
PPI Board - Task #355

Decision # 338 (Resolved): Membership invoicing

Inventory of PPI members and pirates parties

09/10/2016 11:53 AM - Guillaume Saouli

Status: Closed Start date: 09/10/2016

Priority: Normal Due date:  

Assignee: Thomas Gaul % Done: 90%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Work is ongoing.

History

#1 - 12/09/2016 04:59 PM - Keith Goldstein

The contact list is being concatenated with the membership fees list.

The treasurer requests to update the PPI-Wiki worksheet with the following information: 1) update the calculation for the base membership fees,  2)

include the table of suggested membership fees as based on current information on representatives and hypothesized budget.

Additional information is requested: 1) fill in the blanks of the missing contacts (write to members for confirmation of contact), 2) update the contacts

(correlate the membership list with pp-leaders and other mailing lists), 3) update the number of representatives and estimated budget of each party.

#2 - 12/10/2016 12:00 PM - Keith Goldstein

The contact list has been concatenated with the membership fees list. The spreadsheet with current calculations is available on the working budget

spreadsheet https://docs.google.com/spreadsheets/d/1eT8dQMDKrgpC21DTWr_15Qgw3mPcGEpINwbwuueEgLI/edit?usp=sharing  Worksheet

DUES CONTACTS MEMBERS. Please note that only 52 emails were made available on the contact list and there are 151 entries in the contact lists,

although this list also includes non-members and sub-members. Future work is necessary on the following tasks: 1) identify and consolidate

information from duplicate party entries,  2) collect additional contact emails from confirmed parties and confirm current list of emails, 3) identify and

collect information from parties without contact information, 4) confirm contact with parties that were previously not included in the member lists.

#3 - 01/31/2017 02:34 PM - Keith Goldstein

Emails were sent from membership@ppi to the primary emails of members only. The database needs to be updated, and we should split up the task

of taking responsibility for sending and data entry.

We received information on an alternative contact list of pirate parties: http://api.piratetimes.net/

Collaboration on maintaining this list would seem prudent.

#4 - 04/19/2017 12:08 PM - Keith Goldstein

Communicated with Rok Andrée about updating the database. He requested that we submit a pull file with the information about our current updates

for the contact information websites and social media. Since this file is associated with PPI, it seems we should also incorporate the list into our own

pp-international.net website. I went through the JSON codes for the entire site and think that I figured it out: 

https://github.com/Pirate-Parties-International/PPI-rest-api

Example of a pull file

https://github.com/Pirate-Parties-International/PPI-rest-api/pull/50/files

The following is the location it seems where we should update the information for the pull requests:

https://github.com/Pirate-Parties-International/PPI-party-info/tree/master/data

I would appreciate help from others at going through their API and making these changes.

#5 - 07/29/2021 06:29 PM - Gregory Engels

- Status changed from New to Closed

- Target version deleted (Board Meeting - 11.09.2016)
